package cn.com.tenlion.configcontent.pojo.dtos.contentcomment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentCommentDTO
 * @Description: CBC内容管理评论记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 09:31:18
 * @Version: 3.0
 **/
@ApiModel
public class ContentCommentDTO {

    @ApiModelProperty(name = "contentCommentId", value = "评论ID")
    private String contentCommentId;
    @ApiModelProperty(name = "businessId", value = "业务表ID")
    private String businessId;
    @ApiModelProperty(name = "contentCommentDislike", value = "评论不喜欢数量")
    private Integer contentCommentDislike;
    @ApiModelProperty(name = "contentCommentLike", value = "评论喜欢数量")
    private Integer contentCommentLike;
    @ApiModelProperty(name = "contentCommentSubCount", value = "子评论节点")
    private Integer contentCommentSubCount = 0;
    @ApiModelProperty(name = "contentCommentContent", value = "评论内容")
    private String contentCommentContent;
    @ApiModelProperty(name = "contentCommentContentFile", value = "评论文件")
    private String contentCommentContentFile;
    @ApiModelProperty(name = "contentCommentParentId", value = "评论父节点")
    private String contentCommentParentId;
    @ApiModelProperty(name = "contentCommentUserName", value = "评论人姓名")
    private String contentCommentUserName;
    @ApiModelProperty(name = "contentCommentUserIcon", value = "评论人头像")
    private String contentCommentUserIcon;
    @ApiModelProperty(name = "contentCommentStatus", value = "评论状态1:正常,0:违规")
    private String contentCommentStatus;
    @ApiModelProperty(name = "contentCommentRemark", value = "评论违规原因")
    private String contentCommentRemark;
    @ApiModelProperty(name = "contentCommentViolation", value = "评论违规内容")
    private String contentCommentViolation;
    @ApiModelProperty(name = "contentCommentIp", value = "IP")
    private String contentCommentIp;
    @ApiModelProperty(name = "contentCommentAddress", value = "地址")
    private String contentCommentAddress;
    @ApiModelProperty(name = "contentCommentDevice", value = "设备")
    private String contentCommentDevice;
    @ApiModelProperty(name = "contentCommentLongitude", value = "经度")
    private Double contentCommentLongitude;
    @ApiModelProperty(name = "contentCommentLatitude", value = "纬度")
    private Double contentCommentLatitude;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;

    public Integer getContentCommentSubCount() {
        return contentCommentSubCount;
    }

    public void setContentCommentSubCount(Integer contentCommentSubCount) {
        this.contentCommentSubCount = contentCommentSubCount;
    }

    public String getContentCommentId() {
        return contentCommentId == null ? "" : contentCommentId.trim();
    }

    public void setContentCommentId(String contentCommentId) {
        this.contentCommentId = contentCommentId;
    }

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public Integer getContentCommentDislike() {
        return contentCommentDislike == null ? 0 : contentCommentDislike;
    }

    public void setContentCommentDislike(Integer contentCommentDislike) {
        this.contentCommentDislike = contentCommentDislike;
    }

    public Integer getContentCommentLike() {
        return contentCommentLike == null ? 0 : contentCommentLike;
    }

    public void setContentCommentLike(Integer contentCommentLike) {
        this.contentCommentLike = contentCommentLike;
    }

    public String getContentCommentContent() {
        return contentCommentContent == null ? "" : contentCommentContent.trim();
    }

    public void setContentCommentContent(String contentCommentContent) {
        this.contentCommentContent = contentCommentContent;
    }

    public String getContentCommentContentFile() {
        return contentCommentContentFile == null ? "" : contentCommentContentFile.trim();
    }

    public void setContentCommentContentFile(String contentCommentContentFile) {
        this.contentCommentContentFile = contentCommentContentFile;
    }

    public String getContentCommentParentId() {
        return contentCommentParentId == null ? "" : contentCommentParentId.trim();
    }

    public void setContentCommentParentId(String contentCommentParentId) {
        this.contentCommentParentId = contentCommentParentId;
    }

    public String getContentCommentUserName() {
        return contentCommentUserName == null ? "" : contentCommentUserName.trim();
    }

    public void setContentCommentUserName(String contentCommentUserName) {
        this.contentCommentUserName = contentCommentUserName;
    }

    public String getContentCommentUserIcon() {
        return contentCommentUserIcon == null ? "" : contentCommentUserIcon.trim();
    }

    public void setContentCommentUserIcon(String contentCommentUserIcon) {
        this.contentCommentUserIcon = contentCommentUserIcon;
    }

    public String getContentCommentStatus() {
        return contentCommentStatus == null ? "" : contentCommentStatus.trim();
    }

    public void setContentCommentStatus(String contentCommentStatus) {
        this.contentCommentStatus = contentCommentStatus;
    }

    public String getContentCommentRemark() {
        return contentCommentRemark == null ? "" : contentCommentRemark.trim();
    }

    public void setContentCommentRemark(String contentCommentRemark) {
        this.contentCommentRemark = contentCommentRemark;
    }

    public String getContentCommentViolation() {
        return contentCommentViolation == null ? "" : contentCommentViolation.trim();
    }

    public void setContentCommentViolation(String contentCommentViolation) {
        this.contentCommentViolation = contentCommentViolation;
    }

    public String getContentCommentIp() {
        return contentCommentIp == null ? "" : contentCommentIp.trim();
    }

    public void setContentCommentIp(String contentCommentIp) {
        this.contentCommentIp = contentCommentIp;
    }

    public String getContentCommentAddress() {
        return contentCommentAddress == null ? "" : contentCommentAddress.trim();
    }

    public void setContentCommentAddress(String contentCommentAddress) {
        this.contentCommentAddress = contentCommentAddress;
    }

    public String getContentCommentDevice() {
        return contentCommentDevice == null ? "" : contentCommentDevice.trim();
    }

    public void setContentCommentDevice(String contentCommentDevice) {
        this.contentCommentDevice = contentCommentDevice;
    }

    public Double getContentCommentLongitude() {
        return contentCommentLongitude == null ? 0D : contentCommentLongitude;
    }

    public void setContentCommentLongitude(Double contentCommentLongitude) {
        this.contentCommentLongitude = contentCommentLongitude;
    }

    public Double getContentCommentLatitude() {
        return contentCommentLatitude == null ? 0D : contentCommentLatitude;
    }

    public void setContentCommentLatitude(Double contentCommentLatitude) {
        this.contentCommentLatitude = contentCommentLatitude;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
